ChangeSet 1.1595.7.21, 2003/07/30 14:02:58-07:00, dhollis@davehollis.com

[PATCH] USB: ax8817x.c - Fix flags to greatly increase rx performance

The attached patch fixes the flags used on the receive URBs and greatly
increases throughput (especially on EHCI).  On EHCI before the patch,
receives came in around 460KB/s and after I am in the 10-11MB/s range
which is about the same speed I am able to achieve using my Intel nics.
Now transmit is actually the bottleneck on EHCI (only getting around 6MB/s).


 drivers/usb/net/ax8817x.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/net/ax8817x.c b/drivers/usb/net/ax8817x.c
--- a/drivers/usb/net/ax8817x.c	Fri Aug  1 10:54:43 2003
+++ b/drivers/usb/net/ax8817x.c	Fri Aug  1 10:54:43 2003
@@ -1,7 +1,7 @@
 /*
  * ASIX AX8817x USB 2.0 10/100/HomePNA Ethernet controller driver
  *
- * $Id: ax8817x.c,v 1.17 2003/07/23 20:46:13 dhollis Exp $
+ * $Id: ax8817x.c,v 1.18 2003/07/24 11:08:17 dhollis Exp $
  *
  * Copyright (c) 2002-2003 TiVo Inc.
  *
@@ -10,6 +10,9 @@
  *
  * History 
  *
+ *	2003-07-24 - Dave Hollis <dhollis@davehollis.com>  2.0.2
+ *		* Minor fix that greatly increases rx performance
+ 
  *	2003-07-22 - Dave Hollis <dhollis@davehollis.com>  2.0.1
  *		* Add Intellinet USB ids
  *		* Fix mii/ethtool support - link check works!
@@ -75,7 +78,7 @@
 #include <linux/version.h>
 
 /* Version Information */
-#define DRIVER_VERSION "v2.0.1"
+#define DRIVER_VERSION "v2.0.2"
 #define DRIVER_AUTHOR "TiVo, Inc."
 #define DRIVER_DESC "ASIX AX8817x USB Ethernet driver"
 #define DRIVER_NAME "ax8817x"
@@ -758,7 +761,7 @@
 				break;
 			}
 			if (n_rx_urbs > 1) {
-				urb->transfer_flags |= URB_NO_INTERRUPT;	/* FIXME: Was USB_QUEUE_BULK */
+				urb->transfer_flags |= URB_ZERO_PACKET;
 			}
 		}
 		ret = ax_refill_rx_urb(ax_info, urb);
